Bug 1277407 - (latte/latte) Review Request: php-latte - Latte: the amazing template engine for PHP
Review Request: php-latte - Latte: the amazing template engine for PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: nette/tester
Blocks: nette/forms 1277470 nette/bootstrap nette/deprecated nette/nette apigen/theme-bootstrap apigen/theme-default apigen/apigen
  Show dependency treegraph
 
Reported: 2015-11-03 04:25 EST by Remi Collet
Modified: 2015-11-27 01:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 04:59:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-lib.log (16.03 KB, text/plain)
2015-11-08 20:23 EST, Shawn Iwinski
no flags Details
fedora-review.txt (6.49 KB, text/plain)
2015-11-08 20:23 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-11-03 04:25:59 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/dcdea61dcbcad44da06359651a34a41855ea513a/php/nette/php-latte/php-latte.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-latte-2.3.6-1.remi.src.rpm
Description: 
Latte is a template engine for PHP which eases your work and ensures the
output is protected against vulnerabilities, such as XSS.

Latte is fast: it compiles templates to plain optimized PHP code.

Latte is secure: it is the first PHP engine introducing content-aware escaping.

Latte speaks your language: it has intuitive syntax and helps you to build
better websites easily.

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/Latte/autoload.php';

Fedora Account System Username: remi
Comment 2 Shawn Iwinski 2015-11-08 20:23 EST
Created attachment 1091492 [details]
phpcompatinfo-lib.log

phpCompatInfo version 4.5.1 DB built Oct 11 2015 19:52:03 CEST
Comment 3 Shawn Iwinski 2015-11-08 20:23 EST
Created attachment 1091493 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1277407
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2015-11-08 20:24:16 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====
Comment 5 Gwyn Ciesla 2015-11-09 09:33:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-latte
Comment 6 Fedora Update System 2015-11-09 12:04:50 EST
php-latte-2.3.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-088e7755a4
Comment 7 Fedora Update System 2015-11-09 12:04:50 EST
php-latte-2.3.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-14cef12ea2
Comment 8 Fedora Update System 2015-11-09 12:04:55 EST
php-latte-2.3.7-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-d008b19b4a
Comment 9 Fedora Update System 2015-11-09 21:20:43 EST
php-latte-2.3.7-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-latte'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d008b19b4a
Comment 10 Fedora Update System 2015-11-09 22:21:58 EST
php-latte-2.3.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-latte'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5b9a26cc73
Comment 11 Fedora Update System 2015-11-10 13:19:54 EST
php-latte-2.3.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-latte'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-14cef12ea2
Comment 12 Fedora Update System 2015-11-10 13:20:15 EST
php-latte-2.3.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-latte'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-088e7755a4
Comment 13 Fedora Update System 2015-11-19 04:59:02 EST
php-latte-2.3.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-11-19 07:22:24 EST
php-latte-2.3.7-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-11-27 00:25:04 EST
php-latte-2.3.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-27 01:51:20 EST
php-latte-2.3.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.